Bug 1286828 - Packstack should have the option to install QoS (neutron)
Packstack should have the option to install QoS (neutron)
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Chavero
Chandan Kumar
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 15:34 EST by Arie Bregman
Modified: 2017-12-17 02:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-17 02:59:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arie Bregman 2015-11-30 15:34:59 EST
Description of problem:
QoS introduced in Liberty and should be part of the installer, while installing neutron.

Actual results:
Manually:
sudo sed -i "/^extension/s/$/,qos/" /etc/neutron/plugin.ini;
sudo sed -i "/^extension/s/$/,qos/" /etc/neutron/plugins/ml2/ml2_conf.ini;
sudo systemctl restart neutron-server

Expected results:
Packstack will install QoS
Comment 2 Arie Bregman 2015-11-30 15:40:57 EST
Forgot additional manual step:
sudo sed -i "/^service_plugins/s/$/,qos/" /etc/neutron/neutron.conf;
Comment 3 Ihar Hrachyshka 2015-12-01 08:13:32 EST
OVS/SR-IOV agent would also need to get the following configuration:

[agent]
extensions = qos
Comment 4 Christopher Brown 2017-06-18 03:06:04 EDT
Hello,

Can this be updated if this is still relevant?
Comment 5 Arie Bregman 2017-06-18 03:23:49 EDT
After a year and a half, this is no longer relevant for me. Can be closed.

Note You need to log in before you can comment on or make changes to this bug.